//
//  PSFPlayer.h
//  PSFPlay
//
//  Created by tmkk on Sat Jul 24 2004.
//  Copyright (c) 2004 tmkk. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface PSFPlayer : NSObject {
	NSTask *task;
	id delegate;
	BOOL pause;
	BOOL isPlaying;
	int playMode;
}
- (id)initWithDelegate: (id)del;
- (void)playPSF: (NSString *)psf;
- (void)playSPC: (NSString *)spc;
- (void)stop;
- (void)pause;
- (BOOL)isPause;
- (void)toggleMuteChannelSPC: (int)ch;
- (void)toggleMuteChannelPSF: (int)ch;
- (void)setVolume: (float)vol;
@end
